Data Exchange Overview
Client grants allow one MX client to share data with another. This makes it possible for a service provider or third party to use that shared data to offer services like credit score improvement or loan prequalification.
Authentication
All Data Exchange endpoints require the MX-3DX-TOKEN header:
_10curl -X GET 'https://int-api.mx.com/data_exchange/users' \_10 -H 'Accept-Version: rc20260430' \_10 -H 'MX-3DX-TOKEN: your_data_exchange_token' \_10 -H 'Authorization: Basic BASE_64_ENCODING_OF{client_id:api_key}'
Available Endpoints
Data Exchange provides the following endpoints for secure third-party data sharing:
GET /data_exchange/users- List users in data exchange context.GET /data_exchange/users/{user_identifier}/accounts- List accounts for a specific user.GET /data_exchange/users/{user_identifier}/transactions- List transactions for a specific user.GET /data_exchange/users/{user_identifier}/accounts/{account_guid}/transactions- List transactions for a specific account.GET /data_exchange/users/{user_identifier}/members/{member_identifier}/accounts/{account_identifier}/transactions- List transactions by account and member.GET /data_exchange/issuer/{issuer_client_guid}/grants- List grants for an issuing client.GET /data_exchange/grantee/{grantee_client_guid}/grants- List grants for a grantee client.
Fields
| Field | Data Type | Description |
|---|---|---|
expires_at | ISO 8601 DateTime | DateTime that the client grant expires. |
data_source | String | Determines the source of the data that is shared via this grant. Enumeration: NONE, HELD, AGGREGATED, ALL |
guid | String | MX identifier for the grant party. |
revoked_at | ISO 8601 DateTime | DateTime that the client grant was revoked. Only populated if status is REVOKED. |
status | String | Status of the client grant. Enumeration: EXPIRED, GRANTED, REVOKED |
grantees.client_guid | String | MX client identifier for the grantee. |
grantees.role | String | Role of the grantee. Enumeration: DATA_RECIPIENT, DATA_COLLECTOR |
issuer.client_guid | String | MX client identifier for the issuer. |
mx_record.created_at | ISO 8601 DateTime | DateTime that the client grant was created. |
mx_record.updated_at | ISO 8601 DateTime | DateTime that the client grant was updated. |